summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarco Simeone (rael86) <ing.marcosimeone@gmail.com>2009-12-02 16:59:26 +0000
committerMarco Simeone (rael86) <ing.marcosimeone@gmail.com>2009-12-02 16:59:26 +0000
commit423d99aa9a3f1b11109a8a1644a8d7ee857436c9 (patch)
treed9a931f90030f007a6855caf369e4cf7e6d99770 /app-admin/log4tailer
parentdev-python/pymox: New Ebuild for bug 295344 thanks to scarabeus (diff)
downloadsunrise-423d99aa9a3f1b11109a8a1644a8d7ee857436c9.tar.gz
sunrise-423d99aa9a3f1b11109a8a1644a8d7ee857436c9.tar.bz2
sunrise-423d99aa9a3f1b11109a8a1644a8d7ee857436c9.zip
app-admin/log4tailer: New Ebuild for bug 295316 thanks to scarabeus
svn path=/sunrise/; revision=9638
Diffstat (limited to 'app-admin/log4tailer')
-rw-r--r--app-admin/log4tailer/ChangeLog8
-rw-r--r--app-admin/log4tailer/Manifest4
-rw-r--r--app-admin/log4tailer/log4tailer-2.0.ebuild32
-rw-r--r--app-admin/log4tailer/metadata.xml5
4 files changed, 49 insertions, 0 deletions
diff --git a/app-admin/log4tailer/ChangeLog b/app-admin/log4tailer/ChangeLog
new file mode 100644
index 000000000..703cedd71
--- /dev/null
+++ b/app-admin/log4tailer/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for app-admin/log4tailer
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 02 Dec 2009; Marco Simeone (rael86) <ing.marcosimeone@gmail.com>
+ +log4tailer-2.0.ebuild, +metadata.xml:
+ New Ebuild for bug 295316 thanks to scarabeus
+
diff --git a/app-admin/log4tailer/Manifest b/app-admin/log4tailer/Manifest
new file mode 100644
index 000000000..1db4e0d3d
--- /dev/null
+++ b/app-admin/log4tailer/Manifest
@@ -0,0 +1,4 @@
+DIST log4tailer-2.0.tar.gz 36100 RMD160 17138903fdaa2e581c38277a7a6c9ab1ec7e3ba6 SHA1 bf005eae92b4bffbe1a37beb5f43a080c4904ec8 SHA256 aabb216476b9cc00c08aab36b7ca8004e4b7d4291bb5d4ef7b6789317ebd2943
+EBUILD log4tailer-2.0.ebuild 707 RMD160 70b2ddd4db2dabb79f5038943163ff3ba47dc15e SHA1 bacbfcb133b640190b5241cbf7764a19901ab481 SHA256 d89d5eb34aa6f2a48be9e01b0c9e242e7049ddfffc846198e2cc8a926bd22c6c
+MISC ChangeLog 278 RMD160 c36f67d57cc48b89ec5ef8ccf52d1c292f715b67 SHA1 56fc3d09bd0ad52c13483761081ee41aea6c9a52 SHA256 e41028774fd49d3808bb16e1a38d329464d036f789acbe92a73e9a9bec7877de
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/app-admin/log4tailer/log4tailer-2.0.ebuild b/app-admin/log4tailer/log4tailer-2.0.ebuild
new file mode 100644
index 000000000..9977cb3e8
--- /dev/null
+++ b/app-admin/log4tailer/log4tailer-2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+SUPPORT_PYTHON_ABIS="1"
+
+inherit distutils
+
+DESCRIPTION="Log4tailer is a python tailer with advanced features"
+HOMEPAGE="http://code.google.com/p/log4tailer/"
+SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools
+ test? ( dev-python/pymox
+ dev-python/paramiko )"
+RDEPEND="virtual/python"
+
+src_test() {
+ PYTHONPATH=. "${python}" setup.py test || die "tests failed"
+}
+
+src_install() {
+ distutils_src_install
+
+ insinto /etc
+ newins log4tailerconfig.txt log4tailer.conf || die "newins failed"
+}
diff --git a/app-admin/log4tailer/metadata.xml b/app-admin/log4tailer/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/app-admin/log4tailer/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>